#define		CTRL_FEPBOX			TEXT("FEPBOX")

#define		IDM_PEXCEL			(41258)
#define		IDM_UNKNOWN			(41259)
#define		IDM_FEPOK			(41260)
#define		IDM_ACTIVATE		(41261)
#define		IDM_FEPKEY			(41262)
#define		IDM_FEPCHAR			(41263)
#define		IDM_ACTIVATE_HWND	(41264)
#define		IDM_FEPGETMODE		(41265)
#define		IDM_FEPSETMODE		(41266)
#define		IDM_WMCHAR			(41267)

#define		IDM_EXPLORE			(1)

#define		FEP_ISSENDING		(WM_USER+0x0100)

#ifdef	__cplusplus
extern "C" {
#endif
	BOOL	FepBoxRegisterClass( HINSTANCE hInst ) ;
	HWND	GetCenterWindow() ;
	void	FepSetParent( HWND hWnd, BOOL bForce ) ;
	BOOL	FepSetDict( LPCTSTR dict_path ) ;

	BOOL	InitFep( void ) ;
	void	Fep_Execute( HWND hWnd ) ;
	BOOL	Fep_WM_CHAR( HWND hWnd, TCHAR chCharCode, LONG lKeyData ) ;
	BOOL	Fep_WM_SYSCHAR( HWND hWnd, TCHAR chCharCode, LONG lKeyData ) ;
	BOOL	Fep_WM_ACTIVATE( HWND hWnd, WORD fActive, BOOL fMinimize, HWND hWndDeactive ) ;

	extern	TCHAR	g_szFepName[ MAX_PATH ] ;
	extern	TCHAR	g_szFepProgram[ MAX_PATH ] ;
	extern	BOOL	g_fKanji ;
	extern	BOOL	g_fUseCtrl ;
	extern	BOOL	g_fFepOption ;
#ifdef	__cplusplus
} ;
#endif
